  const G_MSG        = "JabberXM v0.3.6";
  const G_NAME       = "JabberXM";
  const G_VER        = "5.0.0.2001030608";
  const G_CHROME     = "Chrome";
  const G_RT         = "jabberxm";
  const G_CONTENT    = "content/";
  const G_SKIN       = "skin/";
  const G_LOCALE     = "locale/en-US/";
  const G_CHROME_DIR = getFolder(G_CHROME);

  var err = initInstall(G_MSG, G_NAME, G_VER); 
  logComment("initInstall: " + err);

  addDirectory("", G_RT,  getFolder(G_CHROME, G_RT), "");

  registerChrome( PACKAGE|DELAYED_CHROME, getFolder(G_CHROME, G_RT), G_CONTENT );
  registerChrome( PACKAGE|DELAYED_CHROME, getFolder(G_CHROME, G_RT), G_SKIN );
  registerChrome( PACKAGE|DELAYED_CHROME, getFolder(G_CHROME, G_RT), G_LOCALE );

  addFile("JabberXM",
          "5.0.0.2001030608",
          "components/jabberxm.js",
           getFolder("Components"),
          "jabberxm.js",
           true);

  addFile("JabberXM",
          "5.0.0.2001030608",
          "components/jabberxm.xpt",
           getFolder("Components"),
          "jabberxm.xpt",
           true);

  addFile("JabberXMSax",
          "5.0.0.2001030608",
          "components/jabberxmsax.js",
           getFolder("Components"),
          "jabberxmsax.js",
           true);

  addFile("JabberXMSax",
          "5.0.0.2001030608",
          "components/jabberxmsax.xpt",
           getFolder("Components"),
          "jabberxmsax.xpt",
           true);

  addFile("JabberXMSocket",
          "5.0.0.2001030608",
          "components/jabberxmsocket.js",
           getFolder("Components"),
          "jabberxmsocket.js",
           true);

  addFile("JabberXMSocket",
          "5.0.0.2001030608",
          "components/jabberxmsocket.xpt",
           getFolder("Components"),
          "jabberxmsocket.xpt",
           true);

  err = getLastError();
  if (err==SUCCESS)
    performInstall(); 
  else
    cancelInstall(err);